# eric7.Plugins.VcsPlugins.vcsMercurial.HisteditExtension.HgHisteditConfigDialog

Module implementing a dialog to enter the histedit parameters.

### Global Attributes

None

### Classes

HgHisteditConfigDialog | Class implementing a dialog to enter the histedit parameters.

### Functions

None

## HgHisteditConfigDialog

Class implementing a dialog to enter the histedit parameters.

### Derived from

QDialog, Ui_HgHisteditConfigDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgHisteditConfigDialog | Constructor
__getRevision | Private method to generate the revision.
__updateOK | Private slot to update the OK button.
getData | Public method to retrieve the data for the strip action.

### Static Methods

None

#### HgHisteditConfigDialog (Constructor)

HgHisteditConfigDialog(tagsList, branchesList, bookmarksList=None, rev="", parent=None)

Constructor

tagsList (list of str)
  list of tags
branchesList (list of str)
  list of branches
bookmarksList (list of str)
  list of bookmarks
rev (str)
  revision to strip from
parent (QWidget)
  reference to the parent widget

#### HgHisteditConfigDialog.__getRevision

__getRevision()

Private method to generate the revision.

Return:
  revision

Return Type:
  str

#### HgHisteditConfigDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgHisteditConfigDialog.getData

getData()

Public method to retrieve the data for the strip action.

Return:
  tuple with the revision, a flag indicating to to outgoing and a flag indicating to keep old nodes

Return Type:
  tuple (str, bool, bool)

Up